Skip to content

Perform various operations for Symitar parameters.

Operations

getTellerTranFee

POST

Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TellerTranFeeFeeCodeintegeroptional
TellerTranFeeTypeCodeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getTellerTranFee
POST /nexum/627/2022.01/parameter/getTellerTranFee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "TellerTranFeeFeeCode": 0,
  "TellerTranFeeTypeCode": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getTellerTranFeeSelectFields

POST

Retrieve TellerTranFee parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TellerTranFeeFeeCodeintegeroptional
TellerTranFeeTypeCodeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getTellerTranFeeSelectFields
POST /nexum/627/2022.01/parameter/getTellerTranFeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "TellerTranFeeFeeCode": 0,
  "TellerTranFeeTypeCode": 0,
  "SelectableFields": {
    "TellerTranFeeFields": {
      "FeeCode": true,
      "TypeCode": true,
      "FeeOption": true
    }
  }
}

updateTellerTranFeeByID

POST

Update TellerTranFee parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TellerTranFeeFeeCodeintegeroptional
TellerTranFeeTypeCodeintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateTellerTranFeeByID
POST /nexum/627/2022.01/parameter/updateTellerTranFeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "TellerTranFeeFeeCode": 0,
  "TellerTranFeeTypeCode": 0,
  "TellerTranFeeUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}